%define name orsa
%define version 0.7.0
%define release 1mdk

# Warning, some 'x' are normal
# This package include orsa and xorsa, aka x%{name}

%define major 0
%define xmajor 0

%define libname %mklibname %{name} %{major}
%define libxname %mklibname x%{name} %{xmajor}

Summary: Orbit Reconstruction, Simulation and Analysis
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source3: x%{name}-16.png
Source4: x%{name}-32.png
Source5: x%{name}-48.png
License: GPL
Group: Sciences/Astronomy
Url: http://orsa.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel
BuildRequires: GiNaC-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libfftw-devel
BuildRequires: libgsl-devel

%description
Orbit Reconstruction, Simulation and Analysis (ORSA) is a framework 
for Celestial Mechanics investigations. With the xorsa application
it is possible to create, simulate and analyze gravitationally
interacting systems like the Solar System. All the operations are
performed using a comfortable, coherent and well designed graphical
user interface. 

%package -n xorsa
Summary: X interface for ORSA
Group: Sciences/Astronomy
#Requires: orsa = %version-%release

%description -n xorsa
Orbit Reconstruction, Simulation and Analysis (ORSA) is a framework 
for Celestial Mechanics investigations. With the xorsa application
it is possible to create, simulate and analyze gravitationally
interacting systems like the Solar System. All the operations are
performed using a comfortable, coherent and well designed graphical
user interface. 

Xorsa contain de graphical interface for ORSA

%package -n %libname
Summary: Libraries need by %name
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
This package contains libraries need by %name.

%package -n %libname-devel
Summary: Development files from %name
Group: Development/Other
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
Development files from %name. You need this package
to build application using the %name library.

%package -n %libxname
Summary: Libraries need by x%name
Group: System/Libraries
Provides: libx%name = %version-%release

%description -n %libxname
This package contains libraries need by x%name.

%package -n %libxname-devel
Summary: Development files from x%name
Group: Development/Other
Provides: libx%name-devel = %version-%release
Provides: x%name-devel = %version-%release
Requires: %libxname = %version-%release

%description -n %libxname-devel
Development files from x%name. You need this package
to build application using the x%name library.

%prep
%setup -q
%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

cp %SOURCE3 %buildroot%_miconsdir/x%{name}.png
cp %SOURCE4 %buildroot%_iconsdir/x%{name}.png
cp %SOURCE5 %buildroot%_liconsdir/x%{name}.png

cat >$RPM_BUILD_ROOT%{_menudir}/x%{name} <<EOF
?package(x%{name}):\
        command="%{_bindir}/x%{name}"\
        title="XORSA"\
        longtitle="Orbit Reconstruction, Simulation and Analysis"\
        needs="x11"\
        section="Applications/Sciences/Astronomy"\
        icon="x%{name}.png"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post -n x%name
%{update_menus}

%postun -n x%name
%{clean_menus}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libxname -p /sbin/ldconfig
%postun -n %libxname -p /sbin/ldconfig

#%files
#%defattr(-,root,root)
#%doc AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
#%_bindir/%name

%files -n x%name
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
%_bindir/x%name
%_menudir/x%name
%_miconsdir/x%name.png
%_iconsdir/x%name.png
%_liconsdir/x%name.png

%files -n %libname
%defattr(-,root,root)
%_libdir/lib%name.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib%name.so
%_libdir/lib%name.la
%_libdir/lib%name.a
%dir %_includedir/%name
%_includedir/%name/*.h

%files -n %libxname
%defattr(-,root,root)
%_libdir/libx%name.so.*

%files -n %libxname-devel
%defattr(-,root,root)
%_libdir/libx%name.so
%_libdir/libx%name.la
%_libdir/libx%name.a

%changelog
* Sun Jan 16 2005 Sylvie Terjan <erinmargault@zarb.org> 0.7.0-1mdk
- 0.7.0

* Sat Jan 01 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.2-1mdk
- 0.6.2 (gift for 2005, happy new year)

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.4.1-3mdk 
- rebuild for new gcc ( patch 0 )
- fix rpmlint warning

* Wed Jan  7 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.4.1-2mdk
- fix DIRM

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.1-1mdk
- Make a spec file ! 
